你的位置:首页 > 操作系统

[操作系统]CocoaPods 添加第三方库报错


1、终端报错:The dependency MBProgressHUD (~> 0.9.2) is not used in any concrete target.
2、原因:CocoaPods升级到最新版本(包括一些高版本),Podfile文件的内容必须明确指出所用第三方库的targetName.
3、报错分析:低版本和高版本写法不一样.

低版本:
platform :ios, '8.0'
pod 'MBProgressHUD', '~> 0.9.2'

高版本:
platform :ios, '8.0'
target "targetName" do
pod 'MBProgressHUD', '~> 0.9.2'
end

注意:这里的 targetName 填写工程的名字。



文/天听云道(简书作者)
原文链接:http://www.jianshu.com/p/e81991409394
著作权归作者所有,转载请联系作者获得授权,并标注“简书作者”。